<script>
import { computed } from 'vue';
import PrimaryButton from '@/Components/PrimaryButton.vue';
import { Head, Link, useForm } from '@inertiajs/vue3';
import GuestLayout from "../../Layouts/GuestLayout.vue";

export default {
  components: {
    Head, Link, PrimaryButton
  },

  layout: GuestLayout,

  props: {
    status: {
      type: String,
    },
  },

  setup(props) {
    const form = useForm({});

    const submit = () => {
      form.post('/email/verification-notification');
    };

    const verificationLinkSent = computed(() => props.status === 'verification-link-sent');

    return {
      form,
      submit,
      verificationLinkSent,
    }
  }
}
</script>

<template>
  <Head title="Подтверждение почты" />

  <div class="mb-4 text-sm text-gray-600">
    Спасибо, что Вы с нами! Не могли бы Вы подтвердить свою почту? Выслали Вам письмо с подтверждением на почту.
  </div>

  <div class="mb-4 font-medium text-sm text-green-600" v-if="verificationLinkSent">
    Новая ссылка для подтверждения была отправлена на Вашу почту, указанную при регистрации.
  </div>

  <form @submit.prevent="submit">
    <div class="mt-4 flex items-center justify-between">
      <PrimaryButton :class="{ 'opacity-25': form.processing }" :disabled="form.processing">
        Отправить подтверждение еще раз
      </PrimaryButton>

      <Link
        href="/logout"
        method="post"
        class="underline text-sm text-gray-600 hover:text-gray-900 rounded-md focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500"
      >
        Выйти
      </Link>
      </div>
  </form>
</template>
